## org.apache.cassandra.service
Interface CacheServiceMBean

All Known Implementing Classes:
  CacheService

    public interface CacheServiceMBean

Method Summary
`long` `getKeyCacheCapacityInBytes()`
`long` `getKeyCacheCapacityInMB()`
`long` `getKeyCacheEntries()`
`long` `getKeyCacheHits()`
`double` `getKeyCacheRecentHitRate()`
`long` `getKeyCacheRequests()`
`int` `getKeyCacheSavePeriodInSeconds()`
`long` `getKeyCacheSize()`
`long` `getRowCacheCapacityInBytes()`
`long` `getRowCacheCapacityInMB()`
`long` `getRowCacheEntries()`
`long` `getRowCacheHits()`
`double` `getRowCacheRecentHitRate()`
`long` `getRowCacheRequests()`
`int` `getRowCacheSavePeriodInSeconds()`
`long` `getRowCacheSize()`
`void` `invalidateKeyCache()` invalidate the key cache; for use after invalidating row cache
`void` `invalidateRowCache()` invalidate the row cache; for use after bulk loading via BinaryMemtable
`void` `reduceCacheSizes()` sets each cache's maximum capacity to "reduce_cache_capacity_to" of its current size
`void` `saveCaches()` save row and key caches
`void` `setKeyCacheCapacityInMB(long capacity)`
`void` `setKeyCacheSavePeriodInSeconds(int kcspis)`
`void` `setRowCacheCapacityInMB(long capacity)`
`void` `setRowCacheSavePeriodInSeconds(int rcspis)`

Method Detail

### getKeyCacheHits

    long getKeyCacheHits()

### getRowCacheHits

    long getRowCacheHits()

### getKeyCacheRequests

    long getKeyCacheRequests()

### getRowCacheRequests

    long getRowCacheRequests()

### getKeyCacheRecentHitRate

    double getKeyCacheRecentHitRate()

### getRowCacheRecentHitRate

    double getRowCacheRecentHitRate()

### getRowCacheSavePeriodInSeconds

    int getRowCacheSavePeriodInSeconds()

### setRowCacheSavePeriodInSeconds

    void setRowCacheSavePeriodInSeconds(int rcspis)

### getKeyCacheSavePeriodInSeconds

    int getKeyCacheSavePeriodInSeconds()

### setKeyCacheSavePeriodInSeconds

    void setKeyCacheSavePeriodInSeconds(int kcspis)

### invalidateKeyCache

    void invalidateKeyCache()

  invalidate the key cache; for use after invalidating row cache

### invalidateRowCache

    void invalidateRowCache()

  invalidate the row cache; for use after bulk loading via BinaryMemtable

### getRowCacheCapacityInMB

    long getRowCacheCapacityInMB()

### getRowCacheCapacityInBytes

    long getRowCacheCapacityInBytes()

### setRowCacheCapacityInMB

    void setRowCacheCapacityInMB(long capacity)

### getKeyCacheCapacityInMB

    long getKeyCacheCapacityInMB()

### getKeyCacheCapacityInBytes

    long getKeyCacheCapacityInBytes()

### setKeyCacheCapacityInMB

    void setKeyCacheCapacityInMB(long capacity)

### getRowCacheSize

    long getRowCacheSize()

### getRowCacheEntries

    long getRowCacheEntries()

### getKeyCacheSize

    long getKeyCacheSize()

### getKeyCacheEntries

    long getKeyCacheEntries()

### reduceCacheSizes

    void reduceCacheSizes()

  sets each cache's maximum capacity to "reduce_cache_capacity_to" of its current size

### saveCaches

    void saveCaches()
                    throws java.util.concurrent.ExecutionException,
                           java.lang.InterruptedException

  save row and key caches

  Throws:
    `java.util.concurrent.ExecutionException` - when attempting to retrieve the result of a task that aborted by throwing an exception
    `java.lang.InterruptedException` - when a thread is waiting, sleeping, or otherwise occupied, and the thread is interrupted, either before or during the activity.

Copyright © 2013 The Apache Software Foundation